com.impinj.stp

## Class StpApi.CartonContentsTag.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder<BuilderType>
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsTag.Builder>
      - - com.impinj.stp.StpApi.CartonContentsTag.Builder

- All Implemented Interfaces:
    com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, StpApi.CartonContentsTagOrBuilder, java.lang.Cloneable
  Enclosing class:
    StpApi.CartonContentsTag

      public static final class StpApi.CartonContentsTag.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsTag.Builder>
      implements StpApi.CartonContentsTagOrBuilder

  Protobuf type `Impinj.STP.CartonContentsTag`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.CartonContentsTag` | `build()`
    `StpApi.CartonContentsTag` | `buildPartial()`
    `StpApi.CartonContentsTag.Builder` | `clear()`
    `StpApi.CartonContentsTag.Builder` | `clearConfidence()` Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds
    `StpApi.CartonContentsTag.Builder` | `clearEpc()`
    `StpApi.CartonContentsTag.Builder` | `clearMetric1()` A metric to add color to the confidence
    `StpApi.CartonContentsTag.Builder` | `clearMetric2()` A metric to add color to the confidence
    `StpApi.CartonContentsTag.Builder` | `clearMetric3()` A metric to add color to the confidence
    `StpApi.CartonContentsTag.Builder` | `clearTid()`
    `StpApi.CartonContentsTag.Builder` | `clone()`
    `int` | `getConfidence()` Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds
    `StpApi.CartonContentsTag` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()`
    `com.google.protobuf.ByteString` | `getEpc()`
    `int` | `getMetric1()` A metric to add color to the confidence
    `int` | `getMetric2()` A metric to add color to the confidence
    `int` | `getMetric3()` A metric to add color to the confidence
    `com.google.protobuf.ByteString` | `getTid()`
    `boolean` | `hasConfidence()` Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds
    `boolean` | `hasEpc()`
    `boolean` | `hasMetric1()` A metric to add color to the confidence
    `boolean` | `hasMetric2()` A metric to add color to the confidence
    `boolean` | `hasMetric3()` A metric to add color to the confidence
    `boolean` | `hasTid()`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `StpApi.CartonContentsTag.Builder` | `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `StpApi.CartonContentsTag.Builder` | `mergeFrom(com.google.protobuf.Message other)`
    `StpApi.CartonContentsTag.Builder` | `mergeFrom(StpApi.CartonContentsTag other)`
    `StpApi.CartonContentsTag.Builder` | `setConfidence(int value)` Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds
    `StpApi.CartonContentsTag.Builder` | `setEpc(com.google.protobuf.ByteString value)`
    `StpApi.CartonContentsTag.Builder` | `setMetric1(int value)` A metric to add color to the confidence
    `StpApi.CartonContentsTag.Builder` | `setMetric2(int value)` A metric to add color to the confidence
    `StpApi.CartonContentsTag.Builder` | `setMetric3(int value)` A metric to add color to the confidence
    `StpApi.CartonContentsTag.Builder` | `setTid(com.google.protobuf.ByteString value)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, getAllFields, getField, getFieldBuilder, getParentForChildren, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, isClean, markClean, mergeUnknownFields, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsTag.Builder>`

    - #### clear

          public StpApi.CartonContentsTag.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsTag.Builder>`

    - #### clone

          public StpApi.CartonContentsTag.Builder clone()

      Specified by:
        `clone` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clone` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clone` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsTag.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsTag.Builder>`

    - #### getDefaultInstanceForType

          public StpApi.CartonContentsTag getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public StpApi.CartonContentsTag build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public StpApi.CartonContentsTag buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public StpApi.CartonContentsTag.Builder mergeFrom(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.CartonContentsTag.Builder>`

    - #### mergeFrom

          public StpApi.CartonContentsTag.Builder mergeFrom(StpApi.CartonContentsTag other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<StpApi.CartonContentsTag.Builder>`

    - #### mergeFrom

          public StpApi.CartonContentsTag.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws java.io.IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<StpApi.CartonContentsTag.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasTid

          public boolean hasTid()

      Specified by:
        `hasTid` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### getTid

          public com.google.protobuf.ByteString getTid()

      Specified by:
        `getTid` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### setTid

          public StpApi.CartonContentsTag.Builder setTid(com.google.protobuf.ByteString value)

    - #### clearTid

          public StpApi.CartonContentsTag.Builder clearTid()

    - #### hasEpc

          public boolean hasEpc()

      Specified by:
        `hasEpc` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### getEpc

          public com.google.protobuf.ByteString getEpc()

      Specified by:
        `getEpc` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### setEpc

          public StpApi.CartonContentsTag.Builder setEpc(com.google.protobuf.ByteString value)

    - #### clearEpc

          public StpApi.CartonContentsTag.Builder clearEpc()

    - #### hasConfidence

          public boolean hasConfidence()

      Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds
      Specified by:
        `hasConfidence` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### getConfidence

          public int getConfidence()

      Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds
      Specified by:
        `getConfidence` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### setConfidence

          public StpApi.CartonContentsTag.Builder setConfidence(int value)

      Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds

    - #### clearConfidence

          public StpApi.CartonContentsTag.Builder clearConfidence()

      Confidence is given as a value between 0 and 100 (inclusive) to indicate whether the given tag is in the carton for which this report corresponds

    - #### hasMetric1

          public boolean hasMetric1()

      A metric to add color to the confidence
      Specified by:
        `hasMetric1` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### getMetric1

          public int getMetric1()

      A metric to add color to the confidence
      Specified by:
        `getMetric1` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### setMetric1

          public StpApi.CartonContentsTag.Builder setMetric1(int value)

      A metric to add color to the confidence

    - #### clearMetric1

          public StpApi.CartonContentsTag.Builder clearMetric1()

      A metric to add color to the confidence

    - #### hasMetric2

          public boolean hasMetric2()

      A metric to add color to the confidence
      Specified by:
        `hasMetric2` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### getMetric2

          public int getMetric2()

      A metric to add color to the confidence
      Specified by:
        `getMetric2` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### setMetric2

          public StpApi.CartonContentsTag.Builder setMetric2(int value)

      A metric to add color to the confidence

    - #### clearMetric2

          public StpApi.CartonContentsTag.Builder clearMetric2()

      A metric to add color to the confidence

    - #### hasMetric3

          public boolean hasMetric3()

      A metric to add color to the confidence
      Specified by:
        `hasMetric3` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### getMetric3

          public int getMetric3()

      A metric to add color to the confidence
      Specified by:
        `getMetric3` in interface `StpApi.CartonContentsTagOrBuilder`

    - #### setMetric3

          public StpApi.CartonContentsTag.Builder setMetric3(int value)

      A metric to add color to the confidence

    - #### clearMetric3

          public StpApi.CartonContentsTag.Builder clearMetric3()

      A metric to add color to the confidence